Docs

Get Collaborator Dashboard

GET /Collaborators/{id}/dashboard

GET/Collaborators/{id}/dashboard

Gets the collaborator dashboard: its points of contact, the activities it is scheduled on, crew missing a required attribute value, and the tasks assigned to it or its crew, including subtasks of those tasks. Use Collaborators_GetCollaboratorTasks for the full task detail.

Path Parameters

FieldTypeRequiredDescription
iduuidRequired

Response

FieldTypeDescription
contactsGetCollaboratorDashboardResponseContact[]| null
activitiesGetCollaboratorDashboardResponseActivity[]| null
incompleteCrewGetCollaboratorDashboardResponseContact[]| null
tasksGetCollaboratorDashboardResponseTask[]| null

GetCollaboratorDashboardResponseContact

FieldTypeDescription
iduuid
firstNamestring| null
lastNamestring| null
titlestring| null
emailstring| null
phoneNumberstring| null

GetCollaboratorDashboardResponseActivity

FieldTypeDescription
iduuid
namestring| null
startDateTimedate-time
endDateTimedate-time

GetCollaboratorDashboardResponseTask

FieldTypeDescription
iduuid
namestring| null
statusIduuid| null
startDateTimedate-time| null
endDateTimedate-time| null
descriptionstring| null
prioritystring| null
indexinteger
parentIduuid| null
phaseIduuid| null
assigneesGetCollaboratorDashboardResponseTaskAssigneesList
reviewersGetCollaboratorDashboardResponseTaskUser[]| null
attributesGetCollaboratorDashboardResponseTaskAttribute[]| null
reviewsGetCollaboratorDashboardResponseTaskReview[]| null
commentsGetCollaboratorDashboardResponseTaskComment[]| null
dependentsuuid[]| null
dependsOnuuid[]| null

GetCollaboratorDashboardResponseTaskAssigneesList

FieldTypeDescription
crewMembersGetCollaboratorDashboardResponseTaskUser[]| null
collaboratorsGetCollaboratorDashboardResponseTaskCollab[]| null

GetCollaboratorDashboardResponseTaskUser

FieldTypeDescription
iduuid

GetCollaboratorDashboardResponseTaskAttribute

FieldTypeDescription
attributeIduuid
valuestring| null

GetCollaboratorDashboardResponseTaskReview

FieldTypeDescription
iduuid
crewIduuid
responsestring| null
createdDatedate-time

GetCollaboratorDashboardResponseTaskComment

FieldTypeDescription
iduuid
userIduuid
commentTextstring| null
reviewIduuid| null
createdDatedate-time

GetCollaboratorDashboardResponseTaskCollab

FieldTypeDescription
iduuid